org.eclipse.ease.lang.unittest.runtime

## Interface ITestEntity

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ITest, ITestClass, ITestContainer, ITestFile, ITestFolder, ITestSuite

All Known Implementing Classes:
  Test, TestClass, TestContainer, TestEntity, TestFile, TestFolder, TestSuite

    public interface ITestEntity
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Test Entity'.

The following features are supported:

- `Description`
- `Name`
- `Entity Status`
- `End Timestamp`
- `Start Timestamp`
- `Parent`
- `Metadata`
- `Duration`
- `Results`
- `Estimated Duration`
- `Terminated`

See Also:
  `IRuntimePackage.getTestEntity()`

### Field Summary

Fields
`static int` `CUSTOM_CODE` EMF event to indicate we should run custom code.
`static java.lang.String` `GLOBAL_SCOPE_TEST` Name for test to represent errors outside of test methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`ITestResult` `addError(java.lang.String message, IScriptEngine scriptEngine)`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`long` `getDuration()` Returns the value of the 'Duration' attribute.
`long` `getEndTimestamp()` Returns the value of the 'End Timestamp' attribute.
`TestStatus` `getEntityStatus()` Returns the value of the 'Entity Status' attribute.
`long` `getEstimatedDuration()` Returns the value of the 'Estimated Duration' attribute.
`IPath` `getFullPath()`
`org.eclipse.emf.common.util.EList<IMetadata>` `getMetadata()` Returns the value of the 'Metadata' containment reference list.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`ITestContainer` `getParent()` Returns the value of the 'Parent' container reference.
`java.lang.Object` `getResource()`
`org.eclipse.emf.common.util.EList<ITestResult>` `getResults()` Returns the value of the 'Results' containment reference list.
`org.eclipse.emf.common.util.EList<ITestResult>` `getResults(TestStatus status)`
`ITestContainer` `getRoot()`
`long` `getStartTimestamp()` Returns the value of the 'Start Timestamp' attribute.
`TestStatus` `getStatus()`
`ITestSuite` `getTestSuite()`
`ITestResult` `getWorstResult()`
`boolean` `hasError()`
`boolean` `isDisabled()`
`boolean` `isTerminated()` Returns the value of the 'Terminated' attribute.
`void` `reset()`
`void` `run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)`
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setDisabled(java.lang.String message)`
`void` `setEndTimestamp(long value)` Sets the value of the '`End Timestamp`' attribute.
`void` `setEntityStatus(TestStatus value)` Sets the value of the '`Entity Status`' attribute.
`void` `setEstimatedDuration(long value)` Sets the value of the '`Estimated Duration`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setParent(ITestContainer value)` Sets the value of the '`Parent`' container reference.
`void` `setStartTimestamp(long value)` Sets the value of the '`Start Timestamp`' attribute.
`void` `setTerminated(boolean value)` Sets the value of the '`Terminated`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### CUSTOM_CODE

    static final int CUSTOM_CODE

EMF event to indicate we should run custom code.

See Also:
  Constant Field Values

#### GLOBAL_SCOPE_TEST

    static final java.lang.String GLOBAL_SCOPE_TEST

Name for test to represent errors outside of test methods.

See Also:
  Constant Field Values

### Method Detail

#### getDescription

    java.lang.String getDescription()

Returns the value of the 'Description' attribute.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `IRuntimePackage.getTestEntity_Description()`

#### setDescription

    void setDescription(java.lang.String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getName

    java.lang.String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `IRuntimePackage.getTestEntity_Name()`

#### setName

    void setName(java.lang.String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### getEntityStatus

    TestStatus getEntityStatus()

Returns the value of the 'Entity Status' attribute. The literals are from the enumeration `TestStatus`.

If the meaning of the 'Entity Status' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Entity Status' attribute.
See Also:
  `TestStatus`, `setEntityStatus(TestStatus)`, `IRuntimePackage.getTestEntity_EntityStatus()`

#### setEntityStatus

    void setEntityStatus(TestStatus value)

Sets the value of the '`Entity Status`' attribute.

Parameters:
  `value` - the new value of the 'Entity Status' attribute.
See Also:
  `TestStatus`, `getEntityStatus()`

#### getEndTimestamp

    long getEndTimestamp()

Returns the value of the 'End Timestamp' attribute. The default value is `"0"`.

If the meaning of the 'End Timestamp' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End Timestamp' attribute.
See Also:
  `setEndTimestamp(long)`, `IRuntimePackage.getTestEntity_EndTimestamp()`

#### setEndTimestamp

    void setEndTimestamp(long value)

Sets the value of the '`End Timestamp`' attribute.

Parameters:
  `value` - the new value of the 'End Timestamp' attribute.
See Also:
  `getEndTimestamp()`

#### getStatus

    TestStatus getStatus()

#### getRoot

    ITestContainer getRoot()

#### hasError

    boolean hasError()

#### getTestSuite

    ITestSuite getTestSuite()

#### getResource

    java.lang.Object getResource()

#### reset

    void reset()

#### run

    void run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)

#### getWorstResult

    ITestResult getWorstResult()

#### addError

    ITestResult addError(java.lang.String message,
                         IScriptEngine scriptEngine)

#### getResults

    org.eclipse.emf.common.util.EList<ITestResult> getResults(TestStatus status)

#### getFullPath

    IPath getFullPath()

#### setDisabled

    void setDisabled(java.lang.String message)

#### isDisabled

    boolean isDisabled()

#### getStartTimestamp

    long getStartTimestamp()

Returns the value of the 'Start Timestamp' attribute. The default value is `"0"`.

If the meaning of the 'Start Timestamp' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start Timestamp' attribute.
See Also:
  `setStartTimestamp(long)`, `IRuntimePackage.getTestEntity_StartTimestamp()`

#### setStartTimestamp

    void setStartTimestamp(long value)

Sets the value of the '`Start Timestamp`' attribute.

Parameters:
  `value` - the new value of the 'Start Timestamp' attribute.
See Also:
  `getStartTimestamp()`

#### getParent

    ITestContainer getParent()

Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent' container reference.
See Also:
  `setParent(ITestContainer)`, `IRuntimePackage.getTestEntity_Parent()`, `ITestContainer.getChildren()`

#### setParent

    void setParent(ITestContainer value)

Sets the value of the '`Parent`' container reference.

Parameters:
  `value` - the new value of the 'Parent' container reference.
See Also:
  `getParent()`

#### getMetadata

    org.eclipse.emf.common.util.EList<IMetadata> getMetadata()

Returns the value of the 'Metadata' containment reference list. The list contents are of type `IMetadata`.

If the meaning of the 'Metadata' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Metadata' containment reference list.
See Also:
  `IRuntimePackage.getTestEntity_Metadata()`

#### getDuration

    long getDuration()

Returns the value of the 'Duration' attribute.

If the meaning of the 'Duration' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Duration' attribute.
See Also:
  `IRuntimePackage.getTestEntity_Duration()`

#### getResults

    org.eclipse.emf.common.util.EList<ITestResult> getResults()

Returns the value of the 'Results' containment reference list. The list contents are of type `ITestResult`.

If the meaning of the 'Results' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Results' containment reference list.
See Also:
  `IRuntimePackage.getTestEntity_Results()`

#### getEstimatedDuration

    long getEstimatedDuration()

Returns the value of the 'Estimated Duration' attribute. The default value is `"-1"`.

If the meaning of the 'Estimated Duration' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Estimated Duration' attribute.
See Also:
  `setEstimatedDuration(long)`, `IRuntimePackage.getTestEntity_EstimatedDuration()`

#### setEstimatedDuration

    void setEstimatedDuration(long value)

Sets the value of the '`Estimated Duration`' attribute.

Parameters:
  `value` - the new value of the 'Estimated Duration' attribute.
See Also:
  `getEstimatedDuration()`

#### isTerminated

    boolean isTerminated()

Returns the value of the 'Terminated' attribute.

If the meaning of the 'Terminated' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Terminated' attribute.
See Also:
  `setTerminated(boolean)`, `IRuntimePackage.getTestEntity_Terminated()`

#### setTerminated

    void setTerminated(boolean value)

Sets the value of the '`Terminated`' attribute.

Parameters:
  `value` - the new value of the 'Terminated' attribute.
See Also:
  `isTerminated()`